package ru.dbotthepony.mc.otm.datagen

import net.neoforged.neoforge.common.Tags
import ru.dbotthepony.mc.otm.core.math.Decimal
import ru.dbotthepony.mc.otm.data.FlywheelMaterialDataProvider
import ru.dbotthepony.mc.otm.registry.MBlockTags

fun addFlywheelMaterials(provider: FlywheelMaterialDataProvider) {
	provider.add(Tags.Blocks.STORAGE_BLOCKS_DIAMOND, Decimal(1_000_000))
	provider.add(Tags.Blocks.STORAGE_BLOCKS_COPPER, Decimal(3_500_000))
	provider.add(Tags.Blocks.STORAGE_BLOCKS_IRON, Decimal(3_000_000))
	provider.add(Tags.Blocks.STORAGE_BLOCKS_GOLD, Decimal(18_000_000))
	provider.add(MBlockTags.TRITANIUM_BLOCKS, Decimal(9_000_000))
}
